Skip to main content

Node Platform Fee Oluşturma

Bu endpoint, belirli bir node için platform fee değerlerini oluşturmanızı sağlar.

Asenkron işlem

Platform owner fee güncellemeleri on-chain fee contract'a wallet pipeline üzerinden gider. 204 dönüşü kuyruğa alındığı anlamına gelir, fee'lerin on-chain güncellendiği anlamına gelmez. Atanan değerler UpdateDefaultPlatformOwnerFee (10), UpdateCategoryPlatformOwnerFee (11), UpdateDefaultNodeFeeByPlatformOwner (14), UpdateCategoryNodeFeeByPlatformOwner (15) ile (silme durumunda 22–27 arası Unset… varyantları) node transaction'ları üretir. Tamamlanmayı izlemek için Get Node Transactions endpoint'i ile polling yapın.

Endpoint

POST /v2/admin/fees/nodes/:nodeID/platform

Path Parametreleri

ParametreTipAçıklama
idstringNode ID

İstek Gövdesi

{
"entity": 2,
"node_id": "3923929392939239329392",
"value": {
"tokenization": {
"asset_tokenization": {
"id": 0,
"value": 10
},
"tokenized_asset_sales": {
"id": 0,
"value": 11
},
"management": {
"id": 0,
"value": 12
}
},
"secondary_market": {
"buy_order": {
"id": 0,
"value": 13
},
"sell_order": {
"id": 0,
"value": 14
},
"otc_sale": {
"id": 0,
"value": 15
}
},
"lending": {
"borrower": {
"id": 0,
"value": 16
},
"lending": {
"id": 0,
"value": 17
},
"liquidation": {
"id": 0,
"value": 18
}
}
},
"categories": null
}

İstek Gövdesi Parametreleri

ParametreTipAçıklama
entitynumberEntity ID
valueobjectFee yapılandırma değerleri
categoriesnullKategoriler (şu an kullanılmıyor)

Yanıt

Endpoint başarılı oluşturma durumunda içerik döndürmez.

Örnek

İstek

curl -X POST "https://api.example.com/v2/admin/fees/nodes/680bdf195d63bcee848d38e6/platform" \
-H "Content-Type: application/json" \
-d '{
"entity": 3,
"value": {
"tokenization": {
"asset_tokenization": {
"id": 0,
"value": 10
},
"tokenized_asset_sales": {
"id": 0,
"value": 11
},
"management": {
"id": 0,
"value": 12
}
},
"secondary_market": {
"buy_order": {
"id": 0,
"value": 13
},
"sell_order": {
"id": 0,
"value": 14
},
"otc_sale": {
"id": 0,
"value": 15
}
},
"lending": {
"borrower": {
"id": 0,
"value": 16
},
"lending": {
"id": 0,
"value": 17
},
"liquidation": {
"id": 0,
"value": 18
}
}
},
"categories": null
}'

Yanıt

HTTP/1.1 204 No Content